# taucs_chdel

utility function used with taucs_chfact

## Calling Sequence

    taucs_chdel(C_ptr) or taucs_chdel()

## Arguments

C_ptr

  a pointer to a Cholesky factorization

## Description

This function is used in conjunction with taucs_chfact and taucs_chsolve. It clears the internal memory space used to store the Cholesky factorization (got with taucs_chfact). Use without argument it frees the memory for all the current scilab (taucs) Cholesky factorizations.

## Examples

see the example section of taucs_chfact

## See Also

- taucs_chfact
- taucs_chsolve
- taucs_chinfo
- taucs_chget